<!--
 Copyright (c) 2000-2025 Ericsson Telecom AB
 All rights reserved. This program and the accompanying materials
 are made available under the terms of the Eclipse Public License v2.0
 which accompanies this distribution, and is available at
 https://www.eclipse.org/org/documents/epl-2.0/EPL-2.0.html

 Contributors:
  Balasko, Jeno
  Raduly, Csaba
-->
<schema xmlns="http://www.w3.org/2001/XMLSchema"
            xmlns:ns40="www.XmlTest.org/complex_choice"
            targetNamespace="www.XmlTest.org/complex_choice">
  <annotation>
    <documentation xml:lang="en">
      This documentum tests based on
      XML Schema Part 0: Primer Second Edition
      2.7 Building Content models
    </documentation>
  </annotation>

<complexType name="Lesson">
  <choice>
    <element name="English" type="string"/>
    <element name="Math"    type="string"/>
    <group   ref="ns40:Nature"/>
    <group   ref="ns40:Lab"/>
  </choice>
  <attribute name="Starts" type="time"/>
</complexType>

<group name="Nature">
  <choice>
    <element name="Physics"   type="string"/>
    <element name="Chemistry" type="string"/>
  </choice>
</group>

<group name="Lab">
  <sequence>
    <element name="Measurement" type="string"/>
    <element name="Evaluation"  type="string"/>
  </sequence>
</group>

<element name="MyLessonElement" type="ns40:Lesson"/>

<complexType name="Lesson2">
  <choice>
    <element name="English" type="string"/>
    <element name="Math"    type="string"/>
    <choice id="Nature">
      <element name="Physics"   type="string"/>
      <element name="Chemistry" type="string"/>
    </choice>
    <sequence  id="Lab">
      <element name="Measurement" type="string"/>
      <element name="Evaluation"  type="string"/>
    </sequence>
  </choice>
  <attribute name="Starts" type="time"/>
</complexType>

<complexType name="Lesson3">
  <choice>
    <element name="English" type="string"/>
    <element name="Math"    type="string"/>
    <element name="Nature">
      <complexType>
        <choice>
          <element name="Physics"   type="string"/>
          <element name="Chemistry" type="string"/>
        </choice>
      </complexType>
    </element>
    <element name="Lab">
      <complexType>
        <sequence>
          <element name="Measurement" type="string"/>
          <element name="Evaluation"  type="string"/>
        </sequence>
      </complexType>
    </element>
  </choice>
  <attribute name="Starts" type="time"/>
</complexType>

</schema>
